Issue 3256 - Insert hyperlinks into imported Word TOC
Summary: Insert hyperlinks into imported Word TOC
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 641
Hardware: PC Linux, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on: 21465
Blocks:
  Show dependency tree
 
Reported: 2002-02-28 09:59 UTC by osavill
Modified: 2013-08-07 14:41 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
input example (5.82 KB, application/octet-stream)
2003-11-07 15:50 UTC, caolanm
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description osavill 2002-02-28 09:59:23 UTC
By default Word causes all lines in a TOC to act as hyperlinks. This is 
extremely annoying since trying to select the TOC by clicking in it almost 
always results in jumping to another page !

When imported into OO the hyperlinks are completely lost. Would it be possible 
to insert hyperlinks. Maybe around the "Entry Text" and the "Page Number" 
would be nice.
Comment 1 stefan.baltzer 2002-02-28 11:56:38 UTC
Michael: Please comment this in order to give an explanation of the current behavior before 
reassigning it to CJ.
Reassigned to Michael.
Comment 2 michael.ruess 2002-03-05 12:30:09 UTC
The import of hyperlinked indexes was not part of the filterlists
until now. 
I think, that one reason was, that the structure of those indexes in
Word is a bit weird. You can see this, when you use the "toggle field
codes" feature in Word, you can see that every entry of the index is a
seperate hyperlink field inside the TOC field. So it might be a bt
difficult to set the beginning/end of the hyperlinked parts on import.
A comment by ProdMan / Dev could be helpful in this case.
Comment 3 falko.tesch 2003-09-30 14:17:47 UTC
FT->AMA: This is your area now.
Comment 4 andreas.martens 2003-10-01 15:51:37 UTC
Caolán, our table of content is able to "hyperlink" the entries. It
could be enabled/disabled for every entry level. Is this sufficient
for import, at least for the most documents?
Comment 5 caolanm 2003-10-17 17:02:27 UTC
perhaps, accepted.
Comment 6 caolanm 2003-10-20 16:37:13 UTC
Ok, implemented for 2.0 in portlaoisefilterteam16, but we have an
outstanding problem with hyperlinks to "fake" content which will have
to be resolved to make this usable in word without using word's update
fields.
Comment 7 caolanm 2003-10-21 17:16:43 UTC
oops, set target
Comment 8 caolanm 2003-11-07 15:50:58 UTC
Created attachment 11047 [details]
input example
Comment 9 caolanm 2003-11-07 15:51:43 UTC
reopen to reassign
Comment 10 caolanm 2003-11-07 15:52:30 UTC
cmc->mru: Good in Fri-Nov-07-16-00 portlaoisefilterteam16 installset,
except for issue 21465 which is a general link to headings export issue.
Comment 11 michael.ruess 2003-11-19 12:34:02 UTC
Checked fix with CWS portlaoisefilterteam16. Import now uses
Hyperlinks for TOC's, when a Word doc also uses them for Web-Layout.
Comment 12 michael.ruess 2003-11-19 12:34:34 UTC
Verified. Fix will be included in OO 2.0.
Comment 13 michael.ruess 2004-01-28 08:44:55 UTC
Closed. Works in curren OO snapshot build 680m20.